petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatCreateIS

Creates a "process" unassembled matrix, assembled on each process but not across processes.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateIS(MPI_Comm comm,PetscInt bs,PetscInt m,PetscInt n,PetscInt M,PetscInt N,ISLocalToGlobalMapping rmap,ISLocalToGlobalMapping cmap,Mat *A)

### Input Parameters

| comm | - MPI communicator that will share the matrix
| bs | - block size of the matrix
| m,n,M,N | - local and/or global sizes of the left and right vector used in matrix vector products
| rmap | - local to global map for rows
| cmap | - local to global map for cols

### Output Parameter

A -the resulting matrix

### Notes

See MATIS for more details. m and n are NOT related to the size of the map; they represent the size of the local parts of the vectors used in MatMult operations. The sizes of rmap and cmap define the size of the local matrices. If either rmap or cmap are NULL, then the matrix is assumed to be square.

### See Also

MATIS, MatSetLocalToGlobalMapping()

### Level

advanced

### Location

src/mat/impls/is/matis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages